<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="da" lang="da">
<head>
  <title>Webdesign 101 : Layout &amp; navigation : : Fanebladsmenuer</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <script src="/common/cssbookarrays.js" type="text/javascript"></script>
  <link rel="stylesheet" media="print" type="text/css" href="eksempelprint.css" />
  <style type="text/css" media="screen">
  @import url(common.css);

  </style>
</head>
<body class="sektion1">
<div id="side">
  <div id="banner">
  <h1>Webdesign 101<br />
  <span class="hidden">- en webdesign notesblok</span></h1>
  </div>
<?php include("faner.inc.php");?>
<div id="page">
<?php include("sti.inc.php");?>
<h2 class="overskrift">&ldquo;Du er her&rdquo;-signaler </h2>

<script src="/css/res/annonce.js" type="text/javascript"></script>
<p>Dette er den frste side af i alt 7 sider, der simulerer et websted 
med i alt 7 sektioner. Fanebladsmenuen bygger p 
 <a class="print" href="/www/cssmenu/eksempler/eksempel_8.html">eksempel 8</a>, der viser 
hvordan du kan lave sdan en menu.</p>

<p>Ideen med denne simulation er at vise, hvorledes du alene ved hjlp 
af nogle stylesheet formregler kan ordne det sledes, at hver sektion 
af webstedet <em>automatisk</em> fr sine egne karakteristika. Der er 
stort set frit slag, men for ikke at gre det alt for kompliceret 
har jeg holdt mig til at ndre to ting fra den ene sektion til 
den anden.</p>
<p>Den ene ting er forholdsvis banal &ndash; ndringen af kulren 
p artiklens overskrift.</p>
<p>Den anden af disse ting er nrmest genial. (Det tr jeg skrive, for 
det er ikke mig der har fundet p det. Jeg s det frst hos 
 <a class="print" href="http://diveintomark.org/archives/2003/03/24/pure_css_tabs">
Mark Pilgrim</a>.)</p>
<p>Du vil se, hvis du klikker p nogle af fanerne, at fanen 
indikerer, hvilken sektion du er i. Normalt klarer vi dette ved at 
give linket en id, f.eks. <code>id="aktuel"</code>, og s side for 
side indstte et lille stylesheet, der ndrer fanens udseende.</p>
<p>I denne udfrelse ligger alle disse ndringer imidlertid i det 
stylesheet, der er flles for alle siderne.</p>
<p>Der er to forudstninger for at dette kan lykkes:</p>
<ol>
<li>For det frste har hver enkelt webside fet et class name, der 
korresponderer med denn sektion, siden tilhrer. Siderne i sektion 1 
har sledes alle (i eksemplet her er der kun &eacute;n side per 
sektion) en body-markr, der ser sledes ud:<br />
<code>&lt;body class=&quot;sektion1&quot;&gt;</code><br />
mens siderne i sektion 2 ganske tilsvarende har fet en body-markr med udseendet:<br />
<code>&lt;body class=&quot;sektion2&quot;&gt;</code><br />
og s fremdeles.</li>
<li>Desuden har hvert link i fanebladsmenuen fet en id, f.eks. sledes<br />
<code>&lt;li&gt;&lt;a id=&quot;link1&quot; href=&quot;page1.html&quot;>Home&lt;/a&gt;&lt;/li&gt;</code>.</li>
</ol>

<p>Det gr det muligt at skrive flgende formregleblokke for fanerne:</p>
<pre>
body.sektion1 ul.menu li a#link1,
body.sektion2 ul.menu li a#link2,
body.sektion3 ul.menu li a#link3,
body.sektion4 ul.menu li a#link4,
body.sektion5 ul.menu li a#link5,
body.sektion6 ul.menu li a#link6,
body.sektion7 ul.menu li a#link7 {
  background: white; border-bottom: 1px solid white;}
</pre>
<p>Disse meget spefifikke kontekstuelle selektorer srger for at f.eks. 
link nr. 4 fr de rigtige egenskaber, hvis siden har et class name sektion4.</p>
<p>For fuldstndighedens skyld stylesheet'et for h2-overskrifterne:</p>
<pre>
body.sektion1 h2.overskrift {color:black;}
body.sektion2 h2.overskrift {color:orange;}
body.sektion3 h2.overskrift {color:teal;}
body.sektion4 h2.overskrift {color:tomato;}
body.sektion5 h2.overskrift {color:maroon;}
body.sektion6 h2.overskrift {color:violet;}
body.sektion7 h2.overskrift {color:navy;}
</pre>

<p>Jeg synes faktisk, det er en ganske elegant lsning p i en menu 
at indikere, hvilket menupunkt der er det &ldquo;aktive&rdquo;, men 
ideen kan ogs udvides til at glde mere substantielle forandringer 
p siderne for hver sektion. Dog skal du passe p ikke at g helt 
overbord &ndash; stylesheet'et svulmer let s meget op, at det er 
smartere at operere med to stylesheets, et flles og &eacute;t for 
hver sektion. </p>
<p>Du kan downloade hele det simulerede website, inklusive 
stylesheet'et, pakket i denne zip-fil: 
<a href="fanebladsmenuer.zip">fanebladsmenuer.zip</a></p>
<p class="opdatering">16. dec. 2007</p>
</div>



<?php include("footer.inc.php");?>


</div>

</body>
</html>

